summaryrefslogtreecommitdiff
path: root/README
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2015-05-30 18:35:02 +0000
committerChristian Grothoff <christian@grothoff.org>2015-05-30 18:35:02 +0000
commit93fba12ad8159dc6b683f9e7ce9f0528a11047f5 (patch)
tree73b1bd212c6c5a32adb924d208d8a315b606e854 /README
parentcfd880578bd21f9adedba557291c903d325e93cd (diff)
make libextractor actually optional, both for GNUnet and GNUnet-taler builds
Diffstat (limited to 'README')
-rw-r--r--README6
1 files changed, 3 insertions, 3 deletions
diff --git a/README b/README
index 98d77b907..ffc06b687 100644
--- a/README
+++ b/README
@@ -28,14 +28,13 @@ packages. Hence please make sure to use the versions listed below.
These are the direct dependencies for running GNUnet:
-- libextractor >= 0.6.1
-- libmicrohttpd >= 0.9.33
+- libmicrohttpd >= 0.9.40
- libgcrypt >= 1.6
- libgnurl >= 7.35.0 (available from https://gnunet.org/gnurl)
- libunistring >= 0.9.2
- gnutls >= 3.2.12
- libidn >= 1.0
-- libglpk >= 4.45
+- libextractor >= 0.6.1 (highly recommended)
- openssl >= 1.0 (binary, used to generate X.509 certificate)
- libltdl >= 2.2 (part of GNU libtool)
- sqlite >= 3.8 (default database, required)
@@ -46,6 +45,7 @@ These are the direct dependencies for running GNUnet:
- libogg >= 1.3.0 (optional for experimental conversation tool)
- python-zbar >= 0.10 (optional for gnunet-qr)
- TeX Live >= 2012 (optional for gnunet-bcd)
+- libglpk >= 4.45 (optional for experimental code)
Recommended autotools for compiling the SVN version are:
- autoconf >= 2.59